import i18n from "i18next";
import { initReactI18next } from "react-i18next";
import HttpBackend from 'i18next-http-backend';

i18n
    .use(initReactI18next) // passes i18n down to react-i18next
    .use(HttpBackend)
    .init({
        backend: {
            loadPath: 'http://localhost:8000/locales/{{lng}}/{{ns}}.json',
        },
        debug: true,
        fallbackLng: localStorage.getItem('lang') || "ru",
        interpolation: {
            escapeValue: false // react already safes from xss => https://www.i18next.com/translation-function/interpolation#unescape
        }
    });
